Can Icon sync with Fitbit Flex(Bluetooth 4.0 LE) with latest - Black update?

Chubbynaga

New member
Nov 4, 2013
187
0
0
Visit site
Hi Can any of Lumia Icon owners verify if it will sync with Fitbit Flex using Bluetooth 4.0 LE with current Black firmware? How about DP 8.1? The hardware spec said it comes with Bluetooth 4.0 LE.

If yes, I will get a used one on EBay right now. I am using 928 and really upset that no BT 4.0 LE without the cyan update.

Thanks
 

anon(7901790)

New member
Aug 5, 2013
2,108
0
0
Visit site
Bluetooth 4.0 isn't supported by WP8.1. Bluetooth 4.0 isn't baked into the OS; it is part of the firmware. That support will come when the Cyan update is released.

Sorry.
 

Chubbynaga

New member
Nov 4, 2013
187
0
0
Visit site
I tried 8.0 with Black at the Verizon store, and it doesn't detect my Fitbit Flex... can you confirm this, Reignbass118? Thanks for the detailed breakdown!
 

xX_Solaris

New member
Oct 17, 2014
4
0
0
Visit site
OP, it requires 8.1 and Cyan firmware. Read the requirements in the app store. I can't post a link to the app store because I have less than 10 posts, but I'll copy and paste it.

The free Fitbit app for Windows 8.1 includes:

** Requires Windows Phone 8.1 and the Lumia Cyan firmware **
 

vepac

New member
Apr 30, 2014
200
0
0
Visit site
Just like if you go to the ellipsis 7 section on Verizon community forums. Someone asked if they could sync their fitbit with their ellipsis 7 tablet and they said yes. But the thing is that, you may be able to have the app and look at information but, you can't sync it since the tablet doesn't have Bluetooth 4.x (was there since I also use an ellipsis).
 

reignbass118

New member
Dec 12, 2011
15
0
0
Visit site
Just like if you go to the ellipsis 7 section on Verizon community forums. Someone asked if they could sync their fitbit with their ellipsis 7 tablet and they said yes. But the thing is that, you may be able to have the app and look at information but, you can't sync it since the tablet doesn't have Bluetooth 4.x (was there since I also use an ellipsis).

Well, no. It isn't "just like that". This fitbit issue is linked to firmware... The phone itself does support BT 4.0 LE.
 

malachijd

New member
Apr 3, 2011
289
0
0
Visit site
Yeah that also means we're out of luck for the new Microsoft band as well. A flagship phone for the #1 or #2 not sure anymore wireless carrier in the US and we can't use Microsoft's new fitness band. I'm not sure who to be pissed at now but this really sucks.
 

MikeSo

New member
Dec 31, 2012
1,450
0
0
Visit site
I just go my MS Band and was able to sync it with my Icon running DP 8.1.1. Don't know if it will work with Fitbit bands.

I have the latest Preview as well, and a Fitbit Flex. The Flex is NOT discovered by my Icon. There is no way to sync or connect the Icon with a Fitbit Flex currently.

Whatever MS did with their Band, it does not apply to the Fitbit devices.
 

Members online

Forum statistics

Threads
323,236
Messages
2,243,501
Members
428,049
Latest member
Nathanboro12